Bug 1828257 - Receptor init file missing [Install] section, receptor service won't run after restart
Summary: Receptor init file missing [Install] section, receptor service won't run afte...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Cloud Connector
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high with 1 vote vote
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-27 13:05 UTC by Lukáš Hellebrandt
Modified: 2020-08-21 23:21 UTC (History)
5 users (show)

Fixed In Version: ansiblerole-satellite-receptor-installer-0.6.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1832594 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Lukáš Hellebrandt 2020-04-27 13:05:44 UTC
Description of problem:
Installing a Receptor through the Configure Cloud Connector job template installs it and starts the service. However, the init file doesn't have the [Install] section and consequently, the service can't be enabled. That means the Receptor won't run after restart.

Version-Release number of selected component (if applicable):
6.7 GA (new feature)

How reproducible:
Deterministic

Steps to Reproduce:
1. Run Configure Cloud Connector job template
2. Reboot the machine

Actual results:
Receptor service stopped

Expected results:
Receptor service started, enabled

Comment 3 Adam Ruzicka 2020-04-28 08:33:00 UTC
Upstream PR https://github.com/project-receptor/satellite-receptor-installer/pull/13 was merged, moving to POST. Requesting this for 6.7.z, as it is quite important and has literally no chance of breaking anything

Comment 5 Lukáš Hellebrandt 2020-07-14 14:36:53 UTC
Verified with Sat 6.8 snap 8.0 using reproducer from OP.


Note You need to log in before you can comment on or make changes to this bug.